Subject: Re: [ipoverib] moving forward with the open Issues - end node

From: "H.K. Jerry Chu" <[email-masked]>
Date: Mon, 11 Feb 2002 12:02:06 -0800 (PST)

Mike,

I see no technical reason to mandate a default MTU other than to state
upfront the various contraints and pitfalls (e.g. IPv6 requires MTU >=
1280 byte, performance implication if MTU is small, implication on
IP-Ethernet bridging...), as described in the link and multicast draft.
Once all the contraints and pitfalls are understood, I see no reason
to recommend anything more. Why not leave the decision completely to
the adminstrator to set it up in MCGroupRecord?

Do people want a default MTU to be specified for other reasons?

Note that PMTU works either way, i.e. if IPoIB MTU is less than 1500 bytes,
nodes on the Ethernet will reduce their PMTU when talking to IPoIB nodes.

Jerry

>At 04:12 PM 2/7/2002 -0800, Vivek Kashyap wrote:
>> >
>> > Yaron,
>> > Thanks for your response.
>> >
>> > BTW, I think "what IPoIB-default-MTU should be" is an open issue.
>> > right ?
>>
>>Akihiko,
>>
>>         We don't have a default MTU; the administrator is free to set
>>         any of the 5 possible values (256,512,1024,2048,4096 bytes)
>>         based on the capacity of the CAs/switches in the subnet.
>>
>>         In general using a minimum link MTU (and hence choosing the
>>         'right' equipment) of 2048 bytes makes sense. This link MTU
>>         allows for the IP MTU to be set to 1500 (ethernet
>>         internetworking) or 1280 (IPv6 minimum) if so desired. The
>>         smaller MTUs are not optimal.
>>
>>         No default though except in terms of :
>>
>>         If No-ethertype in payload
>>
>>                 IP MTU = IPoIB link MTU
>>
>>         else
>>                 IP MTU = IPoIB link MTU - sizeof('ethertype')
>
>In general, one uses a 2KB or 4KB PMTU within an IB subnet and not a 
>smaller value (a smaller value does not meet the minimums needed for IPv6 
>or an Ethernet I/O module as you noted).  When the PMTU is calculated for 
>an endnode that flows through an IB I/O module, e.g. Ethernet, then the 
>PMTU is reduced accordingly.  I see no reason to not state that we have a 
>default MTU of 2KB and then have the PMTU adjusted as required by the path 
>this data flow follows.
>
>Mike
>
>
>_______________________________________________
>IPoverIB mailing list
>[email-masked]
>https://www1.ietf.org/mailman/listinfo/ipoverib

_______________________________________________
IPoverIB mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ipoverib

---

From: Michael Krause <[email-masked]>
Date: Mon, 11 Feb 2002 13:15:23 -0800

At 12:02 PM 2/11/2002 -0800, H.K. Jerry Chu wrote:
>to recommend anything more.

With the exception of PMTU reduction from a data flow through an external 
I/O module, I see no reason to support anything smaller than 2KB.  I don't 
see any downside from defining this for the IP over IB UD specification.

>Why not leave the decision completely to the adminstrator to set it up in 
>MCGroupRecord?

The MCGroupRecord is used for IP multicast which may be independent from 
the unicast traffic for normal IP over IB data flows.

>nodes on the Ethernet will reduce their PMTU when talking to IPoIB nodes.

I don't see why one would not specify this up front even if it is only an 
implementation note within the draft.

Mike